Subject: Re: bug#10940: Emacs 24: regression reading comma

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 Mar 2012 21:47:36 -0500

> In Emacs 23, the lisp reader correctly parses a comma when reading an
> event modifier, as in the following example specifying the character
> C-,
>     (global-set-key [(control ,)] 'my-command)

You did not realize, but the above relies on the old-style backquote
syntax, which has been further phased out (it's been obsolete for a very
long time now).  So now (control ,) fails in the same way as (control
').  Use [(control ?,)] or [(control \,)] instead (which will work for
older emacsen as well).

        Stefan